<?php

namespace App\Controllers;

use App\Models\Model_kategori_pendidikan;

class kategori_pendidikan extends BaseController
{

    public function __construct()
    {
        $this->Model_kategori_pendidikan = new Model_kategori_pendidikan();
        helper('form');
    }

    public function index()
    {
        $data = array(
            'title' => 'kategori_pendidikan   ',
            'kategori_pendidikan' => $this->Model_kategori_pendidikan->all_data(),
            'isi'    => 'v_kategori_pendidikan'
        );
        return view('layout/v_wrapper', $data);
    }

    public function add()
    {
        $data = array('nama_kategori_pendidikan' => $this->request->getPost('nama_kategori_pendidikan'));
        $this->Model_kategori_pendidikan->add($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Tambahkan !!!');
        return redirect()->to(base_url('kategori_pendidikan'));
    }

    public function edit($id_kategori_pendidikan)
    {
        $data = array(
            'id_kategori_pendidikan' => $id_kategori_pendidikan,
            'nama_kategori_pendidikan' => $this->request->getPost('nama_kategori_pendidikan'),
        );
        $this->Model_kategori_pendidikan->edit($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Update !!!');
        return redirect()->to(base_url('kategori_pendidikan'));
    }

    public function delete($id_kategori_pendidikan)
    {
        $data = array(
            'id_kategori_pendidikan' => $id_kategori_pendidikan,
        );
        $this->Model_kategori_pendidikan->delete_data($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Hapus !!!');
        return redirect()->to(base_url('kategori_pendidikan'));
    }
    //--------------------------------------------------------------------

}
